[Processing] ParameterString return "None" as unicode
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19164
Description

Hi,

In the modeler, ParameterString return a "None" value as unicode, not as NoneType.
| guess you want to return an empty unicode, no ?

| think an "else" is missing line 51 in ParameterString.py, isn't it ?

History

#1 - 2014-07-02 01:50 PM - Victor Olaya

- Status changed from Open to Feedback

can you provide an example of a model where you have that problem? | do not understand what the issue is exactly

Thanks!

#2 - 2014-07-02 02:13 PM - Etienne Trimaille
This my code :
def processAlgorithm(self, progress):
value = self.getParameterValue(self. WHITE_LIST[layer])
print value
print len(value)
printvalue._ class__._ name_
self WHITE_LIST[layer] is a ParameterString which is defined by a PARAMETER_STRING (ModelerParameterDefinitionDialog) in the modeler.
None
unicode

However, if | let the parameterString empty in the algorithm (I deleted the block PARAMETER_STRING in the modeler), | will get the right empty value ™.
#3 - 2014-07-03 02:07 AM - Victor Olaya

hmm, | do not undertand how you use the modeler and python code at the same time... Could you add the model itself and the script to the issue?

Thanks!

#4 - 2014-07-25 02:37 AM - Etienne Trimaille

This code is in my own algo in python, that's why | can test python code in the modeler.

https://github.com/3liz/QgisQuickOSMPIugin/blob/master/ProcessingQuickOSM/API/OverpassQueryGeoAlgorithm.py#L 76

Today, even if | put or not a ModelerParameterDefinitionDialog, | have a "None" value as unicode.

#5 - 2014-07-30 01:08 AM - Etienne Trimaille
- Status changed from Feedback to Closed

| updated my plugin to processing 2.5.
This bug seems to be solved, now | get :

0

unicode

#6 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
https://github.com/3liz/QgisQuickOSMPlugin/blob/master/ProcessingQuickOSM/API/OverpassQueryGeoAlgorithm.py#L76

